.container {
  width: fit-content;
  display: flex;
  font-family: "Rubik", sans-serif;
  margin: 0 auto;
  color: white !important;
  padding-top: 2rem;

  @media screen and (max-width: 900px) {
    width: 100%;
    color: white !important;
    flex-direction: column;
    padding: 0.5rem;
  }
}

.report-wrapper-container {
  width: 300px;
  margin-right: 1.5rem;
  @media screen and (max-width: 900px) {
    width: 100%;
  }
}

.report-wrapper {
  width: 100%;
  background-color: hsl(246, 80%, 60%);
  padding: 1.5rem;
  border-radius: 1rem;
  position: relative;
  z-index: 2;
  img {
    width: 100px;
    margin-bottom: 2rem;
    border-radius: 100%;
    border: solid white 4px;
  }
  @media screen and (max-width: 900px) {
    padding: 1rem;
    img {
      height: 100px;
      margin-right: 1rem;
      margin-bottom: auto;
    }
  }
}
.report-wrapper > div {
  @media screen and (max-width: 900px) {
    margin-top: 1.4rem;
  }
}

.time-option {
  background-color: hsl(236, 44%, 20%);
  padding: 1.5rem;
  padding-left: 1.7rem;
  display: flex;
  border-radius: 0 0 1rem 1rem;
  flex-direction: column;
  transform: translateY(-1rem);
  z-index: 1;

  @media screen and (max-width: 900px) {
    flex-direction: row;
    justify-content: space-between;
    height: auto;
  }
  button {
    margin: 0.5rem 0;
    background: transparent;
    text-align: left;
    outline: none;
    border: none;
    font-size: 1rem;
    letter-spacing: 0.5px;
    cursor: pointer;
  }
}

.reports-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
  min-width: 900px;
  @media screen and (max-width: 900px) {
    grid-template-columns: repeat(1, 1fr);
  }
  @media screen and (max-width: 1100px) {
    min-width: auto;
  }
}

.report-information {
  background-color: hsl(236, 44%, 20%);
  padding: 1.5rem 2rem;
  border-radius: 1rem;
  transform: translateY(-0.8rem);
  transition: 0.3s ease all;
  cursor: pointer;
  &:hover {
    background-color: hsl(236, 41%, 34%);
  }
  .title {
    display: flex;
    justify-content: space-between;
    width: 100;
    font-size: 1.1rem;
  }
  h2 {
    font-weight: 200;
    font-size: 3rem;
    margin: 0.4rem 0;
  }
  @media screen and (max-width: 900px) {
    p {
      display: inline;
      float: right;
      font-size: 0.9rem;
    }

    .last-time {
      margin-top: 1.9rem;
    }
  }
}

.card-image {
  height: 50px;
  border-radius: 1rem 1rem 0 0;
}

.work .card-image {
  background-image: url("../../assets/images/icon-work.svg");
  background-position: right;
  background-repeat: no-repeat;
  background-color: hsl(15, 100%, 70%);
}

.play .card-image {
  background-image: url("../../assets/images/icon-play.svg");
  background-position: right;
  background-repeat: no-repeat;
  background-color: hsl(195, 74%, 62%);
}

.study .card-image {
  background-image: url("../../assets/images/icon-study.svg");
  background-position: right;
  background-repeat: no-repeat;
  background-color: hsl(348, 100%, 68%);
}

.exercise .card-image {
  background-image: url("../../assets/images/icon-exercise.svg");
  background-position: right;
  background-repeat: no-repeat;
  background-color: hsl(145, 58%, 55%);
}

.social .card-image {
  background-image: url("../../assets/images/icon-social.svg");
  background-position: right;
  background-repeat: no-repeat;
  background-color: hsl(264, 64%, 52%);
}

.self .card-image {
  background-image: url("../../assets/images/icon-self-care.svg");
  background-position: right;
  background-repeat: no-repeat;

  background-color: hsl(43, 84%, 65%);
}

.last-time {
  color: hsl(0, 1%, 72%);
}

.ellipsis {
  display: flex;
  width: 21px;
  height: 5px;
  justify-content: center;
  align-items: center;
}

.hint {
  color: hsl(0, 1%, 72%);
  font-size: 0.875rem !important;

  &:hover {
    color: white;
  }
}

.selected {
  color: white;
  font-size: 1rem !important;
}
p {
  margin: 0;
}
.title {
  font-size: 2.5rem;
  font-weight: 100;

  @media screen and (max-width: 900px) {
    font-size: 1.6rem;
  }
}
